// Authors: Shoma Berkemeyer, Julius Schöning
// Citation: please cite the paper 'Feeling Hungry --- Association of Dietary Patterns with Food Choices Using Scene Perception' 2020 by the authors

#include <QApplication>
#include <QtGlobal>
#include <QDebug>
#include <QGraphicsScene>
#include <QMenu>
#include <QFileDialog>
#include <QApplication>
#include <QFile>
#include <QMessageBox>


#include "globalobjects.h"
#include "mainwindow.h"
#include "datastate.h"

// set extern in globalobjects, declare here
MainWindow* g_mainWindow;
DataState* g_state;


int main(int argc, char *argv[])
{

    QApplication a(argc, argv);

    // set global pointer to these local references,
    // so the objects will be deleted at the end of the main-function
    g_state = new DataState();

    // NOTICE: the global reference to MainWindow cannot be accessed in constructors
    MainWindow w;
    g_mainWindow = &w;
    w.show();

    int result = a.exec();
    g_mainWindow = nullptr;

    return result;


}
